// NxtBasic.java

package ch.aplu.nxtbasic;

import ch.aplu.android.*;
import ch.aplu.android.nxt.*;

public class NxtBasic extends GameGrid 
{  
  private TurtleRobot robot;
  
  public void main()
  {
    GGConsole c = GGConsole.init();
    c.println("NxtBasic starting...");
    robot = new TurtleRobot(c.getActivity());
    robot.connect();
    if (!robot.isConnected())
    {
      c.println("Connection to robot failed.");
      return;
    }
    c.println("Connnection established. Working now...");
    for (int i = 0; i < 4; i++)
    {
      robot.forward(100);
      robot.left(90);
    }
    c.println("All done.");
    robot.exit();
  }
 
  public void onPause()
  {
    if (robot != null)
     robot.exit();
    super.onPause();
  }
}