// Alien.java
// Used for SpaceInvader

package ch.aplu.spaceinvader;

import ch.aplu.android.*;

public class Alien extends Actor
{
  private final int maxNbSteps = 16;
  private int nbSteps;

  public Alien()
  {
    super("alien");
    setSlowDown(7);
  }

  public void reset()
  {
    nbSteps = 7;
  }

  public void act()
  {
 
    if (nbSteps < maxNbSteps)
    {
      move(SpaceInvader.dx / 2);
      nbSteps++;
    }
    else
    {
      nbSteps = 0;
      int angle;
      if (getDirection() == 0)
        angle = 90;
      else
        angle = -90;
      turn(angle);
      move();
      turn(angle);
    }
    if (getLocation().y > 90)
      removeSelf();
  }

 


}
