// Ex10a.java

package ch.aplu.tut;

import ch.aplu.android.*;
import android.graphics.*;

public class Ex10a extends GameGrid implements GGTouchListener
{
  private Actor actor;

  public Ex10a()
  {
    super(8, 8, cellZoom(60), Color.RED);
  }

  public void main()
  {
    addActor(new Actor("nemo"), new Location(5, 5));
    addTouchListener(this, GGTouch.press
      | GGTouch.drag
      | GGTouch.release);
  }

  public boolean touchEvent(GGTouch touch)
  {
    Location location = toLocationInGrid(touch.getX(), touch.getY());
    switch (touch.getEvent())
    {
      case GGTouch.press:
        actor = getOneActorAt(location);
        break;
      case GGTouch.drag:
        if (actor != null)
          actor.setLocation(location);
        break;
      case GGTouch.release:
        if (actor != null)
          actor.setLocation(location);
        break;
    }
    refresh();
    return true;
  }
}
